/**
 * Global elements
 */
.simple-snackbar {
    display: block;
    position: fixed;
    width: auto;
    height: auto;
    z-index: 9;
    visibility: hidden;
}
.simple-snackbar.bottom-left {
    float: left;
    left: 15px;
    bottom: 0px;
}
.simple-snackbar.bottom-right {
    float: right;
    right: 15px;
    bottom: 0px;
}
.simple-snackbar .ssb-outter-container {
    display:block;
    position:relative;
    left:0px;
    width: 100%;
    max-width: 500px;
    height: 100%;
    padding: 15px;

    background-color:rgba(20, 20, 20, 0.9);
    border:2px solid rgba(12, 12, 12, 0.95);
    border-radius:5px;
    color:#fafafa;
    font-size: 1.2em;
}
.simple-snackbar .ssb-outter-container {
    animation-name: show-simple-snackbar-from-bottom;
    animation-duration: 1000ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: show-simple-snackbar-from-bottom;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: show-simple-snackbar-from-bottom;
    -moz-animation-duration: 1000ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: ease-out;
    -moz-animation-fill-mode: forwards;

    -ms-animation-name: show-simple-snackbar-from-bottom;
    -ms-animation-duration: 1000ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: ease-out;
    -ms-animation-fill-mode: forwards;
}
.simple-snackbar .ssb-outter-container.dismissed {
    animation-name: dismiss-simple-snackbar-from-bottom;
    animation-duration: 1000ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: dismiss-simple-snackbar-from-bottom;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: dismiss-simple-snackbar-from-bottom;
    -moz-animation-duration: 1000ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: ease-out;
    -moz-animation-fill-mode: forwards;

    -ms-animation-name: dismiss-simple-snackbar-from-bottom;
    -ms-animation-duration: 1000ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: ease-out;
    -ms-animation-fill-mode: forwards;
}

/**
 * Show snackbar
 */
 @-moz-keyframes show-simple-snackbar-from-bottom {
    from {
        bottom: -300px;
        opacity: 0;
    }
    to {
        bottom: 15px;
        opacity: 1;
    }
}
@-webkit-keyframes show-simple-snackbar-from-bottom {
    from {
        bottom: -300px;
        opacity: 0;
    }
    to {
        bottom: 15px;
        opacity: 1;
    }
}
@keyframes show-simple-snackbar-from-bottom {
    from {
        bottom: -300px;
        opacity: 0;
    }
    to {
        bottom: 15px;
        opacity: 1;
    }
}

/**
 * Dismiss snackbar
 */
@-moz-keyframes dismiss-simple-snackbar-from-bottom {
    0% {
        bottom: 15px;
        opacity: 1;
    }
    20% {
        bottom: 50px;
        opacity: 0.9;
    }
    35% {
        bottom: 5px;
        opacity: 0.6;
    }
    100% {
        bottom: -300px;
        opacity: 0;
    }
}
@-webkit-keyframes dismiss-simple-snackbar-from-bottom {
    0% {
        bottom: 15px;
        opacity: 1;
    }
    20% {
        bottom: 50px;
        opacity: 0.9;
    }
    35% {
        bottom: 5px;
        opacity: 0.6;
    }
    100% {
        bottom: -300px;
        opacity: 0;
    }
}
@keyframes dismiss-simple-snackbar-from-bottom {
    0% {
        bottom: 15px;
        opacity: 1;
    }
    20% {
        bottom: 50px;
        opacity: 0.9;
    }
    35% {
        bottom: 5px;
        opacity: 0.6;
    }
    100% {
        bottom: -300px;
        opacity: 0;
    }
}